Bug 64074 - neomagic NM2070 chipset needs "noaccel"
neomagic NM2070 chipset needs "noaccel"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-24 22:50 EDT by Eugene Kanter
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version: Red Hat Linux 9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-20 03:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2002-04-24 22:50:41 EDT
Description of Problem:

neomagic NM2070 chipset (10C8:0001) requires

Option "noaccel"

in "Device" section.

Version-Release number of selected component (if applicable):

4.2.0-6.52

How Reproducible:

always

Steps to Reproduce:
1. start gnome-terminal
2. drag it around the screen.
3. 

Actual Results:

random black areas on the screen, corrupted.

Expected Results:

no corruption.
	
Additional information:

GUI installation has problems: lists do not scroll.
Comment 1 Mike A. Harris 2002-04-28 14:33:26 EDT
Please attach the XFree86 config file that fails.  It is generally
best to attach both your config file and your X server log to all
XFree86 bug reports, even if it seems not useful.  These files tell
a lot of info that is useful in debugging that might not seem useful
to the bug submitter.

TIA
Comment 2 Eugene Kanter 2002-04-29 13:01:31 EDT
I'll have to repeat installation again, unless log from 3.3.6 server can help you.

I had to back off to 6.2, since 7.x does not support my PCMCIA at all.

Will the installer leave X log around if I just boot from CDROM?

What exact lines are you looking for if I won't able to get log copied from it
and have to write by hand?
Comment 3 Mike A. Harris 2002-05-30 01:55:42 EDT
No problem... This has been reported by others now too, and it actually is
merely a problem with upgrading.  If you upgrade, you _must_ run
Xconfigurator after or during install, or neomagic will end up using the
old config, and wont be properly configured.  On a fresh install, all
neomagic chips have accel disabled by default.  There's no really
easy way to detect this problem on upgrade and force a reconfig.
Comment 4 Eugene Kanter 2002-05-30 11:36:04 EDT
I did a clean install, not an upgrade. GUI install was bearly usable too. Please
explain your solution.
Comment 5 Mike A. Harris 2002-05-30 18:46:05 EDT
What I am saying, is that the default configuration options _all_ come
from a database file /usr/X11R6/lib/X11/Cards which dictates all of the
default options for every piece of video hardware.

All Neomagic hardware by default is configured to disable the hardware
cursor, and broken parts of 2D acceleration.  There truely is no way for
us to actually _fix_ the driver since Neomagic does not allow access to
the documentation of their hardware.  What is worse, is we actually HAVE
some documentation under NDA however we do not have authorization to use
it.  Attempts at contacting Neomagic to get discuss the matter with them
have resulted in zero response.

So basically, the neomagic driver will sit either working or broken and there
is nothing we can do about it whatsoever, other than hope that someone else
can fix it by experimentation.  I can change the default configuration
options in the Cards database based on user feedback of what works and does
not work, but I can not fix bugs and I do not have any neomagic hardware
personally.

So, if the default configuration which we supply in Red Hat Linux 7.3
does not work properly, I can completely disable 2D acceleration, however
you are the only person yet to be reporting that the driver does not work
with our default configuration which consists of:

NAME NeoMagic (laptop/notebook)
DRIVER neomagic
LINE #   Option     "Rotate"
LINE #   Option     "pciBurst"
LINE #   Option     "ShadowFB"
LINE #   Option     "NoStretch"
LINE #   Option     "LcdCenter"
LINE     Option     "externDisp"
LINE     Option     "internDisp"
LINE #   Option     "noMMIO"
LINE     Option     "SWcursor"
LINE #   Option     "NoAccel"
LINE #   Option     "NoLinear"
LINE     Option     "XaaNoScanlineImageWriteRect"
LINE     Option     "XaaNoScanlineCPUToScreenColorExpandFill"
NOCLOCKPROBE

If your config file does not contain these options, then I have no idea
what has happened, but our tools are set to use these options.  If the
above does not work, and 2D accel does not work even with the two XaaNo*
options enabled, then let me know, and I will disable 2D accleration
completely.  I will also need your "lspci -vn" info in order to disable
it just for this one card.

Comment 6 Mike A. Harris 2002-05-30 18:47:42 EDT
Note, that it is much preferable to find the exact XaaNo options that
solve problems experienced with 2D acceleration than it is to completely
disable it.

Also note, that any neomagic related problems are best filed on xpert@xfree86.org,
and carbon copied to Egbert Eich.  Egbert maintains the driver, does have
some Neomagic hardware, and some docs, and the ability to fix some bugs, etc.

Comment 7 Eugene Kanter 2002-06-11 13:42:15 EDT
The latest available install image exibits the same problem in GUI mode. Please
use noaccel for the card listed or instruct how to test addtitional XaaNo
options without actually installing.
Comment 8 Eugene Kanter 2002-06-28 23:09:13 EDT
Here is the information you requested:

lspci -vn

00:02.0 Class 0300: 10c8:0001 (rev 01)
	Flags: medium devsel, IRQ 15
	Memory at 3fe00000 (32-bit, prefetchable)

lspci -v

00:02.0 VGA compatible controller: Neomagic Corporation NM2070 [MagicGraph
NM2070] (rev 01) (prog-if 00 [VGA])
	Flags: medium devsel, IRQ 15
	Memory at 3fe00000 (32-bit, prefetchable)
Comment 9 Mike A. Harris 2002-08-08 07:18:39 EDT
The current Limbo beta and rawhide packages set up all Neomagic
chipsets with the following options:

LINE     Option     "XaaNoScanlineImageWriteRect"
LINE     Option     "XaaNoScanlineCPUToScreenColorExpandFill"

This problem is considered rectified in rawhide, and will be in our
next release of Red Hat Linux.  If a fresh installation of the
Limbo beta still has problems, rerun redhat-config-xfree86 to
ensure a new config file is generated from the new hardware
database.  If the problem still persists after all of this, please
reopen the bug report, and we can continue troubleshooting options
to find the ones that work best for your card.
Comment 10 Eugene Kanter 2003-10-19 22:53:26 EDT
Fresh installation of 7.3 has the same problem despite options listed above.

Option     "NoAccel"

helps.
Comment 11 Mike A. Harris 2003-10-20 03:43:29 EDT
Unless you have applied *all* Red Hat released updates, including the XFree86
updates, that isn't a helpful report, as you'd be using rather ancient
X server and driver release.

Red Hat Linux 7.3 is in security fixes only mode currently, and no further
video driver updates will be forthcoming other than security related.  Users
having problems with any Red Hat Linux 7.1/7.2/7.3/8.0 X server or video drivers
are expected to:

- Upgrade to the latest updates available from Red Hat for that particular
  operating system version.

If the problem persists after that, please upgrade to the newest official
Red Hat base operating system release and apply all Red Hat erratum updates,
and see if the problem still exists in the latest version supported by
Red Hat.

If the problem still exists in the latest OS release with all updates applied,
please feel free to open a new bug report including all details of the problem,
possibly linking to any older bug reports that are similar, and include your
X server config file, log file and any other useful information.

In your case you've used Option "noaccel" to work around the problem.  If you
find that option is still needed in Red Hat Linux 9 for this hardware, please
test the XaaNo... options listed on the XF86Config manpage one at a time with
noaccel disabled, to try and narrow down the problematic acceleration
primitive.  That can help to provide a workaround and/or fix the driver for
future releases.  It's also a good idea to report video driver bugs to
XFree86.org in their bugzilla at http://bugs.xfree86.org so that the upstream
maintainer of the driver is aware of the problem too (using the latest XFree86
release also).

Hope this helps.
Comment 12 Eugene Kanter 2003-10-24 11:29:42 EDT
Red Hat 9 graphical install is not possible on this hardware because of low
memory. Completed text install. Started redhat-config-xfree86 --reconfig. Failed.
XFree86 log file will be attached.
Comment 13 Mike A. Harris 2003-10-24 12:40:47 EDT
This bug report is for 7.3 and is ancient and closed, please open a new
bug report against the version you're using, with appropriate details
in the new (public) bug report preferably.  Feel free to provide a link
back to this bug also if you wish.

Note You need to log in before you can comment on or make changes to this bug.